Message object not passed to wiki macros for head topic and in preview edit mode

2012-02-19 11:11 - Vitaly Klimov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Forums Estimated time: 0.00 hour

Target version: 1.4.0   

Resolution: Fixed Affected version:  

Description

nil passed instead of message object to wiki macros in textilizable function for head topic or for preview in edit mode. It is caused by

inproper call to textilizable in messages\show.html.erb, line 30:

<%= textilizable(@topic.content, :attachments => @topic.attachments) %>

 It should be corrected to

<%= textilizable(@topic, :content, :attachments => @topic.attachments) %>

 For edit mode preview:

in file messages\edit.html.erb, line 15 should be changed from

:action => 'preview', :board_id => @board },

 to

:action => 'preview', :board_id => @board, :id => message },

 for correct message variable calculation in MessagesController.preview method

Associated revisions

Revision 8949 - 2012-02-23 16:11 - Jean-Philippe Lang

Pass the topic objet to #textilizable (#10275).

Revision 8950 - 2012-02-23 16:17 - Jean-Philippe Lang

Pass the message id when previewing in edit mode (#10275).

History

#1 - 2012-02-19 11:13 - Vitaly Klimov

Small fix - last correction should be

:action => 'preview', :board_id => @board, :id => @message },

#2 - 2012-02-19 11:42 - Etienne Massip

- Category changed from Forums to Wiki

- Assignee deleted (Jean-Philippe Lang)

Please don't assign issues.

#3 - 2012-02-23 16:17 - Jean-Philippe Lang

- Category changed from Wiki to Forums

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 1.4.0
- Resolution set to Fixed

Fixed in r8949 and r8950.
